#!/bin/sh
# hacksat.org
CAMNAME="MGCcamd-1.23/Ronald-CS"
USERNAME=""
ZAPTIME=6
CAMID=4174
DVBSET=0
INFOFILE="ecm.info"
# end

remove_tmp () {
	rm -rf /tmp/ecm.info /tmp/pid.info /tmp/cardinfo
}

case "$1" in
	start)
	echo "[SCRIPT] $1: $CAMNAME"
	remove_tmp
	/var/bin/cs_clnt &
	/var/bin/cs_srv &
	/var/bin/mgcamd_1.23 &
	;;
	stop)
	echo "[SCRIPT] $1: $CAMNAME"
	killall -9 cs_clnt cs_srv mgcamd_1.23 2>/dev/null
	remove_tmp
	;;
	*)
	$0 stop
	exit 1
	;;
esac

exit 0
